/***********************************************
 *	FILE:	Receiver_AeroQuadMega.h
 *
 *	AUTHORS:	-Guillermo Maroto
 *	Based on Aeroquad.com/Receiver.h
 *           
 *   --------+--------         --------+--------
 *          | |_______________________| | 
 *                   |         |
 *                   |_________|
 *                 ~____|___|____    
 **********************************************/
#pragma once


#include "Receiver.h"
#include "MathFilter.h"

/******************************************************/
/*************** AeroQuad Mega PCINT ******************/
/******************************************************/

class Receiver_AeroQuadMega : public Receiver {
public:
	void initialize();
	
	// Calculate PWM pulse width of receiver data
	// If invalid PWM measured, use last known good time
	void read(void) ;
};