/***********************************************
 *	FILE:	Sensor.h
 *
 *	AUTHORS:	-Guillermo Maroto
 *
 *           
 *   --------+--------         --------+--------
 *          | |_______________________| | 
 *                   |         |
 *                   |_________|
 *                 ~____|___|____    
 **********************************************/
#pragma once

#include "MarotoCopter.h"
#include "DataStorage.h"

class Sensor {

public:
	
	virtual void initialize() = 0;
	virtual void measure() = 0;
	virtual void calibrate() = 0;
	
};