/***********************************************
 *	FILE:	State.h
 *
 *	AUTHORS:	-Guillermo Maroto
 *
 *           
 *   --------+--------         --------+--------
 *          | |_______________________| | 
 *                   |         |
 *                   |_________|
 *                 ~____|___|____    
 **********************************************/

#pragma once

#include "Accel_BMA180.h"
#include "Gyro_ITG3200.h"
#include "FlightAngle_DCM.h"


class State 
{

//	protected: 
	public:	//chapu para apañar G_Dt

	FlightAngle_DCM flightAngle;
	
	Accel_BMA180	accel;
	Gyro_ITG3200	gyro;
	
	public:
	
	void initializeState();
	void measureState();
	void calibrateState();
	

};